#
# spec file for package cairo (Version 1.2.4)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cpp41 cracklib cvs cyrus-sasl db diffutils e2fsprogs expat file filesystem fillup findutils flex fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gcc41 gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale glitz glitz-devel gnome-filesystem gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libdrm libgcc41 libltdl libmudflap41 libnscd libpng libpng-devel libstdc++41 libtool libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions pkgconfig popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim xorg-x11-devel xorg-x11-fonts-devel xorg-x11-libICE xorg-x11-libICE-devel xorg-x11-libSM xorg-x11-libSM-devel xorg-x11-libX11 xorg-x11-libX11-devel xorg-x11-libXau xorg-x11-libXau-devel xorg-x11-libXdmcp xorg-x11-libXdmcp-devel xorg-x11-libXext xorg-x11-libXext-devel xorg-x11-libXfixes xorg-x11-libXfixes-devel xorg-x11-libXmu xorg-x11-libXmu-devel xorg-x11-libXp xorg-x11-libXp-devel xorg-x11-libXpm xorg-x11-libXpm-devel xorg-x11-libXprintUtil xorg-x11-libXprintUtil-devel xorg-x11-libXrender xorg-x11-libXrender-devel xorg-x11-libXt xorg-x11-libXt-devel xorg-x11-libXv xorg-x11-libXv-devel xorg-x11-libfontenc xorg-x11-libfontenc-devel xorg-x11-libs xorg-x11-libxkbfile xorg-x11-libxkbfile-devel xorg-x11-proto-devel xorg-x11-util-devel xorg-x11-xtrans-devel zlib zlib-devel

Name:           cairo
BuildRequires:  freetype2-devel glitz-devel libpng-devel
License:        LGPL v2.1 or later; MOZILLA PUBLIC LICENSE (MPL/NPL)
Group:          Development/Libraries/X11
Summary:        Vector Graphics Library with Cross-Device Output Support
Url:            http://cairographics.org/
Version:        1.2.4
Release:        10
Source0:        %name-%version.tar.bz2
Patch2:         cairo-remove-requires-private.patch
Patch3:         cairo-defines.patch
Patch4:         cairo-1.0.2-depth-fix-1.patch
Patch6:         bugzilla-104365.patch
Patch7:         cairo-1.2.4-lcd-filter-1.patch
Patch8:         bug-342926_cairo-1.2.4-alloc-overflow.patch
Patch9:         cairo-calloc.patch
Patch10:        cairo-ctype.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Obsoletes:      libpixman

%description
Cairo is a vector graphics library with cross-device output support.
Currently supported output targets include the X Window System,
in-memory image buffers, and PostScript. Cairo is designed to produce
identical output on all output media while taking advantage of display
hardware acceleration when available.



Authors:
--------
    Carl D. Worth <cworth@isi.edu>

%debug_package
%package devel
Summary:        Development environment for cairo
Group:          Development/Libraries/X11
Requires:       %{name} = %{version} freetype2-devel fontconfig-devel xorg-x11-devel libpng-devel glitz-devel
%if %(rpm -q --queryformat=%{version} xorg-x11-devel | sed 's/\..*$//') >= 7
Requires:       xorg-x11-libXrender-devel
%endif
Obsoletes:      libpixman-devel

%description devel
This package contains all files necessary to build binaries using
cairo.



Authors:
--------
    Carl D. Worth <cworth@isi.edu>

%package doc
Summary:        Development environment for cairo
Group:          Development/Libraries/X11
Requires:       %{name} = %{version}
Requires:       gnome-filesystem

%description doc
This package contains all files necessary to build binaries using
cairo.



Authors:
--------
    Carl D. Worth <cworth@isi.edu>

%prep
%setup
%patch2
%patch3 -p1
%patch4
#%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1

%build
autoconf
%if %suse_version > 1000
export RPM_OPT_FLAGS="$RPM_OPT_FLAGS -fstack-protector"
%endif
export CFLAGS="$RPM_OPT_FLAGS"
./configure\
	--prefix=/usr\
	--libdir=%{_libdir}\
	--mandir=%{_mandir}\
	--enable-glitz\
	--enable-ps\
	--enable-pdf\
	--disable-gtk-doc
make %{?jobs:-j %jobs}

%install
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/opt/gnome
mv $RPM_BUILD_ROOT/usr/share $RPM_BUILD_ROOT/opt/gnome

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING COPYING-LGPL-2.1 COPYING-MPL-1.1 ChangeLog INSTALL NEWS README TODO
%{_libdir}/libcairo.so.*

%files devel
%defattr(-, root, root)
/usr/include/cairo
%{_libdir}/libcairo.*a
%{_libdir}/libcairo.so
%{_libdir}/pkgconfig/*.pc

%files doc
%defattr(-, root, root)
/opt/gnome/share/gtk-doc/html/*

%changelog
* Fri Jan 25 2008 - maw@suse.de
- Add bug-342926_cairo-1.2.4-alloc-overflow.patch and
  cairo-calloc.patch (#342926)
- Add cairo-ctype.patch.
* Tue Oct 24 2006 - jhargadon@suse.de
- update to version 1.2.4
- fixed several rendering bugs
- add cairo-1.2.4-lcd-filter-1.patch to resolve bug #213989
* Thu Sep 14 2006 - sbrabec@suse.cz
- Create correct dependencies in older products.
* Fri Aug 18 2006 - jhargadon@suse.de
- update to version 1.2.2
- Fix crashes with BGR X servers
- Fix the "disappearing text" bug
- Fix broken image fallback scaling
- Fix inadvertent semantic change of font matrix translation
- Fix create_similar to preserve fallback resolution and font options
* Wed Aug 16 2006 - gekker@suse.de
- Disable gtk-doc, it comes prebuilt and this decreases build deps
* Fri Jul 28 2006 - gekker@suse.de
- Update to version 1.2.0
- Remove upstreamed patches
- API addition: cairo_xlib_surface_get_width,cairo_xlib_surface_get_height
- new features:
  Dots can now be drawn by using CAIRO_LINE_CAP_ROUND with
  degenerate sub-paths, (cairo_move_to() followed by either
  cairo_close_path() or a cairo_line_to() to the same location).
- many bugfixes
* Fri May 12 2006 - joeshaw@suse.de
- Add a patch to fix a crash in Nautilus, backported from 1.0.4.
  bnc #174152
* Fri Apr 28 2006 - mfabian@suse.de
- Bugzilla #104365: delete fontconfig pattern elements before
  trying to add them if the intention is to override default
  settings.
* Thu Mar 23 2006 - gekker@suse.de
- Fixes cairo crash in evolution with specific mails (#159675)
- CVE-2006-0528
* Fri Jan 27 2006 - ro@suse.de
- use -fstack-protector (merged from meissner)
* Fri Jan 27 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Jan 25 2006 - sbrabec@suse.cz
- Removed Xlib version fb repeating picture bug check (#100469).
* Mon Jan 23 2006 - dreveman@suse.de
- Fix 16bpp issue.
* Wed Jan 11 2006 - sbrabec@suse.cz
- Do not require libpixman, it's included now.
- Obsolete no longer needed libpixman.
* Wed Nov 23 2005 - gekker@suse.de
- Fix broken build (Thanks to Richard Guenther for the patch).
* Tue Nov 01 2005 - sbrabec@suse.cz
- Updated to version 1.0.2.
* Tue Oct 04 2005 - sbrabec@suse.cz
- Enabled ps and pdf backends (#120049).
* Fri Sep 09 2005 - sbrabec@suse.cz
- Re-enabled glitz backend (#116075).
* Sat Sep 03 2005 - matz@suse.de
- Fix last change.
* Fri Sep 02 2005 - gekker@suse.de
- Remove Requires.private from the cairo.pc file as it causes
  build failures in gcc.
* Thu Sep 01 2005 - gekker@suse.de
- Update to released version 1.0.0
- Remove upsteamed patch
* Tue Aug 30 2005 - mfabian@suse.de
- Bugzilla #113602: add patch from bugzilla.gnome.org to
  fix crashes in pangocairo. See also:
  http://bugzilla.gnome.org/show_bug.cgi?id=313685
  http://bugzilla.gnome.org/attachment.cgi?id=50878&action=view
* Mon Aug 29 2005 - mfabian@suse.de
- Bugzilla #113545: add patch by Zhe Su to support embedded
  bitmaps.
* Thu Aug 18 2005 - kukuk@suse.de
- RPM can calculate dependencies much better than using a
  hardcoded list
* Wed Aug 17 2005 - gekker@suse.de
- Update to version 0.9.2
* Wed Aug 03 2005 - sbrabec@suse.cz
- Xlib version fb repeating picture bug check update (#100469).
* Tue Aug 02 2005 - gekker@suse.de
- Fix requirements
* Mon Aug 01 2005 - gekker@suse.de
- Updated to version 0.6.0.
* Wed Jun 01 2005 - sbrabec@suse.cz
- Updated to version 0.5.0.
* Wed Jun 01 2005 - sbrabec@suse.cz
- Fixed devel requirements.
* Mon May 09 2005 - sbrabec@suse.cz
- Packaged license files.
* Mon May 09 2005 - sbrabec@suse.cz
- Updated to version 0.4.0.
* Wed Jan 26 2005 - sbrabec@suse.cz
- Updated to version 0.3.0.
* Wed Jan 26 2005 - meissner@suse.de
- Added libpng-devel-packages to nfb #49052
* Wed May 19 2004 - clahey@suse.de
- Updated to 0.1.23.
* Tue Apr 20 2004 - uli@suse.de
- initial package
